unit Methodu;

interface
uses Classes, ULRecTyp, ULObju, ULObjUsru, ULMType, ULMObju;

type
  TUlanMethod = class(TULObjUsr)
  protected
    function GetRecID: TULRecID; override;
    function GetULM: TULMObj;
    function ChildCreate(AChildObj: TULObj): TULObjUsr; override;
  public
    procedure UpdateDefDirs; override;{ulobjusru}
    property ULM: TULMObj read GetULM;
  end;

{v0.41}{ulanglob}
{const
  MethodsDir: string = '';}
{/v0.41}

implementation


procedure TUlanMethod.UpdateDefDirs;
begin
  Obj.FindField('MethodFileName').FldDesc.DefDir := Obj.ObjDesc.DefDir;
end;

function TUlanMethod.ChildCreate(AChildObj: TULObj): TULObjUsr;
begin
  Result := nil;
end;


function TUlanMethod.GetRecID: TULRecID;
begin
  Result := ULMID;
end;

function TUlanMethod.GetULM: TULMObj;
begin
  Result := TULMObj(Obj);
end;

{v0.24}
initialization
  RegisterClasses([TUlanMethod]);
{/v0.24}
end.
